NEWALIASES(1zm)

NAME
newaliases - zmailer aliases database rebuilder

SYNOPSIS
newaliases [ -s ] [ /file/path ]

DESCRIPTION
This utility has been superceded by zmailer newdb mechanism, but can be used in few places, provided that aliases type database is being produced with default settings!

Running the newaliases(1zm) without parameters rebuilds the aliases(5zm) database used by the router(8zm) configuration at most sites.

This script wrapper constructs argument list for underlying newdb(8zm) program (and makedb(8zm) under it,) which does actual aliases(5zm) format database compilation work.

OPTIONS

-s
    Optionally silence the underlying makedb(8zm) program.

/file/path
    Optionally specify file path (fully qualified, or relative) to the database to be compiled.

    With this option one can specify which database is to be compiled.

ENVIRONMENT VARIABLES

ZCONFIG
    This environment variable is expected to be inherited from the user's environment for cases where default location isn't correct.

Z-ENVIRONMENT VARIABLES

Following ZENV-variables are used by the newaliases(1zm) program:

MAILVAR
    Tells where the ZMailer's runtime databases, etc. are by default.

FILES

/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/usr/local/etc/zmailer/db/aliases | (MAILVAR/db/aliases)

SEE ALSO
aliases(5zm), router(8zm), makedb(8zm), newdb(8zm), zdbases.conf(5zm), zmailer(1zm), zmailer.conf(5zm).

AUTHOR
This program authored and copyright by:
    Rayan Zachariassen <no address>
Fairly radical rewriting by:
    Matti Aarnio <mea@nic.funet.fi>